Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002297KdenliveUser Interfacepublic2011-08-28 12:542011-11-01 18:56
ReporterDaveAttacks 
Assigned Toj-b-m 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platform64 bitOSUbuntuOS Version11.04
Product Version0.8 
Target VersionFixed in Version0.8.2 
Summary0002297: When moving project folder, cannot abort copying cache files - Race between "Copying" and "File Already Exists"
DescriptionVersion actually 0.8.1+svn20110822.r5837-0ubuntu0~sunab~natty1

I changed the project folder, and was asked if I wanted to copy cache files to the new location (or something to that effect). I had already copied the project contents and (all the thumbs) over by hand but thought maybe there were others that I don't know about, so clicked "Yes".

As the thumbs already exist, I got a "File Already Exists" dialog in front of the "Copying" dialog.
I click Cancel on "File Already Exists", but before I can click cancel on "Copying", a new "File Already Exists" comes up.

Initially it looked like I'd have to sit there clicking cancel for 600+ files, but luckily it turned out to be a few - maybe I hadn't copied as may files as I thought - but the UI bug is still relevant.
Steps To Reproduce1. Copy a project with some files in the thumbs directory to a new location
2. Open the project and Project Settings dialog
3. Change the project location to the new file location
4. Click yes when asked if cache files should be copied
5. Encounter "Copying" and "File Already Exists" dialogs.
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0007231)
j-b-m (administrator)
2011-08-28 18:58

Should be fixed in svn rev. 5842

- Issue History
Date Modified Username Field Change
2011-08-28 12:54 DaveAttacks New Issue
2011-08-28 18:58 j-b-m Note Added: 0007231
2011-08-28 18:58 j-b-m Assigned To => j-b-m
2011-08-28 18:58 j-b-m Status new => feedback
2011-09-11 16:31 ttill Status feedback => resolved
2011-09-11 16:31 ttill Fixed in Version => 0.8.2
2011-09-11 16:31 ttill Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker